#ifndef _CMENUDOWN_HPP_
#define _CMENUDOWN_HPP_

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

namespace Input {
	class cMenuDown : public InputEngine::cKey
	{
	public:
		cMenuDown( SDL_Keycode key, MainMenu::cMainMenu** menu );
		//cMenuUp( const cMenuDown& copy );
		~cMenuDown();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		MainMenu::cMainMenu** mpp_menu;
	};/// END CLASS DEFINITION cMenuDown
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CMENUDOWN_HPP_
